const jwt = require("jsonwebtoken");
require('dotenv').config();

// verify token for login and logout
const verifyToken = (req, res, next) => {
  let token = req.headers['x-access-token'];
  console.log(token)
  if (!token) {
    return res.status(403).send({ message: "No token provided!" });
  }
  jwt.verify(token, process.env.SECRET_KEY, (err, decoded) => {
    if (err) {
      return res.status(401).send({ message: "Unauthorized Access!" });
    }
    req.userId = decoded.userId;
    next();
  });
};

module.exports = verifyToken;
